Skip to main content
`Ctrl`+`K`

# DMMonitor

runs the user provided monitor routines, if they exist

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMMonitor(DM dm)

Collective

## Input Parameter

- dm - The `DM`

## Developer Note

Note should indicate when during the life of the `DM` the monitor is run. It appears to be related to the discretization process seems rather specialized since some `DM` have no concept of discretization.

## See Also

DM Basics, `DM`, `DMMonitorSet()`, `DMMonitorSetFromOptions()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages